#532 opensips 1.8 svn 8772 core dump

1.8.x
closed-fixed
core (110)
5
2012-06-07
2012-06-05
No

(gdb) bt
#0 calc_buf_len (c=0x7f9c160148e8, build_gruu=<value optimized out>) at reply.c:149
#1 build_contact (c=0x7f9c160148e8, build_gruu=<value optimized out>) at reply.c:224
#2 0x00007f9c233d0a25 in add_contacts (_m=0x7f9c270afa70, forced_binding=<value optimized out>, _d=0x7f9c15edea90 "0\352\355\025\234\177", _f=<value optimized out>,
_s=<value optimized out>) at save.c:687
#3 save_aux (_m=0x7f9c270afa70, forced_binding=<value optimized out>, _d=0x7f9c15edea90 "0\352\355\025\234\177", _f=<value optimized out>, _s=<value optimized out>)
at save.c:812
#4 0x00007f9c233d131b in save (_m=0x7f9c270afa70, _d=0x7f9c15edea90 "0\352\355\025\234\177", _f=0x7f9c27113c18 "\001", _s=0x0) at save.c:859
#5 0x0000000000413be3 in do_action (a=0x7f9c27067de0, msg=0x7f9c270afa70) at action.c:1478
#6 0x00000000004121b3 in run_action_list (a=<value optimized out>, msg=0x7f9c270afa70) at action.c:143
#7 0x000000000045b244 in eval_elem (e=0x7f9c27067eb8, msg=0x7f9c270afa70, val=0x0) at route.c:1438
#8 0x000000000045ca85 in eval_expr (e=0x7f9c27067eb8, msg=0x7f9c270afa70, val=0x0) at route.c:1783
#9 0x000000000045ca01 in eval_expr (e=0x7f9c27067f08, msg=0x7f9c270afa70, val=0x0) at route.c:1799
#10 0x000000000045ca49 in eval_expr (e=0x7f9c27067f58, msg=0x7f9c270afa70, val=0x0) at route.c:1804
#11 0x0000000000413f28 in do_action (a=0x7f9c27068478, msg=0x7f9c270afa70) at action.c:894
#12 0x00000000004121b3 in run_action_list (a=<value optimized out>, msg=0x7f9c270afa70) at action.c:143
#13 0x000000000041711d in do_action (a=0x7f9c27068550, msg=0x7f9c270afa70) at action.c:917
#14 0x00000000004121b3 in run_action_list (a=<value optimized out>, msg=0x7f9c270afa70) at action.c:143
#15 0x0000000000415dc3 in run_actions (a=0x7f9c27062378, msg=0x7f9c270afa70) at action.c:123
#16 do_action (a=0x7f9c27062378, msg=0x7f9c270afa70) at action.c:568
#17 0x00000000004121b3 in run_action_list (a=<value optimized out>, msg=0x7f9c270afa70) at action.c:143
#18 0x0000000000416328 in do_action (a=0x7f9c27062450, msg=0x7f9c270afa70) at action.c:911
#19 0x00000000004121b3 in run_action_list (a=<value optimized out>, msg=0x7f9c270afa70) at action.c:143
#20 0x0000000000417bb8 in run_actions (a=0x7f9c2705a198, msg=0x7f9c270afa70) at action.c:123
#21 run_top_route (a=0x7f9c2705a198, msg=0x7f9c270afa70) at action.c:184
#22 0x000000000044dcdf in receive_msg (buf=<value optimized out>, len=<value optimized out>, rcv_info=<value optimized out>) at receive.c:165
#23 0x000000000048a2c5 in udp_rcv_loop () at udp_server.c:424
#24 0x000000000042a4fe in main_loop (argc=<value optimized out>, argv=<value optimized out>) at main.c:876
#25 main (argc=<value optimized out>, argv=<value optimized out>) at main.c:1520

Discussion

  • Vladut-Stefan Paiu

    Hello,

    I have just checked out rev 8772 from the 1.8 branch, and the line numbers from the back-trace do not seem to match with the actual source code.
    Have you done any private modifications to the registrar module ?

    In frame 0 in gdb, could you do
    p *c
    and paste here the output ?

    Private access to the OpenSIPS binary and core file would also help, if possible.

    Regards,
    Vlad

     
  • Vladut-Stefan Paiu

    • assigned_to: nobody --> vladut-paiu
    • status: open --> open-accepted
     
  • Nick Altmann

    Nick Altmann - 2012-06-05

    I'm sorry about version.

    It's opensips 1.8 svn 9042. It's patched, but register module is untouched.

    (gdb) p *c
    $1 = {domain = 0x7f9c15edea30, aor = 0x7f9c24292228, c = {s = 0x7f9c15f10ba0 "sip:stra44@192.168.1.189:50603ba", len = 29}, received = {
    s = 0x7f9c15eee0f0 "sip:88.88.88.88:5060_433\030", len = 20}, path = {s = 0x7f9c15ef9210 "<sip:88.88.88.88;lr;received=sip:44.244.44.44:57889>", len = 52},
    expires = 1338895657, q = 0, instance = {s = 0x7f9c15fa51f8 "<urn:uuid:00000000-0000-1000-8000-000B82336B03>8.30.9:5059", len = 47}, callid = {
    s = 0x7f9c15f02bd0 "1050452149-5060-2@BJC.BGI.B.BIJ", len = 31}, cseq = 2365, state = CS_SYNC, flags = 0, cflags = 64, user_agent = {
    s = 0x7f9c15f90650 "Grandstream GXP1400 1.0.1.1101590-000B822E5BAA>", len = 29}, sock = 0x0, last_modified = 1338892057, methods = 6015, next = 0x7f9c15fbc998,
    prev = 0x0}

    I cannot give you access to server because it's production.

     
  • Vladut-Stefan Paiu

    Hello,

    It seems that somehow, your registered contact does not have a socket attached to it ( see the 'sock' field which is 0x0 ), due to some error.

    Please update your sources to the latest 1.8 and then apply the attached patch. Should fix your issues.

    Regards,
    Vlad

     
  • Nick Altmann

    Nick Altmann - 2012-06-06

    I think it's not because error, but because I have a few opensips, looking in one location table. User was registered on one opensips, but call was processed on another opensips. Will try the patch today.

     
  • Nick Altmann

    Nick Altmann - 2012-06-06

    The problem was fixed. Thank you.

     
  • Vladut-Stefan Paiu

    Hello,

    The patch was applied on 1.8 and trunk.
    Thanks for testing.

    Regards,
    Vlad

     
  • Vladut-Stefan Paiu

    • status: open-accepted --> closed-fixed
     

Log in to post a comment.